Package org.apache.felix.hc.core.impl.util

## Class HealthCheckFilter

- java.lang.Object
- - org.apache.felix.hc.core.impl.util.HealthCheckFilter

    public class HealthCheckFilter
    extends Object

Select from available `HealthCheck` services. This class is not thread safe and instances shouldn't be used concurrently from different threads.

### Field Summary

Fields
`static String` `HC_FILTER_OBJECT_CLASS`
`static String` `OMIT_PREFIX`

### Constructor Summary

Constructors
`HealthCheckFilter​(org.osgi.framework.BundleContext bc)` Create a new filter object

### Method Summary

All Methods Instance Methods Concrete Methods
`org.osgi.framework.ServiceReference<org.apache.felix.hc.api.HealthCheck>[]` `getHealthCheckServiceReferences​(org.apache.felix.hc.api.execution.HealthCheckSelector selector)`
`org.osgi.framework.ServiceReference<org.apache.felix.hc.api.HealthCheck>[]` `getHealthCheckServiceReferences​(org.apache.felix.hc.api.execution.HealthCheckSelector selector, boolean combineTagsWithOr)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### HC_FILTER_OBJECT_CLASS

    public static final String HC_FILTER_OBJECT_CLASS

#### OMIT_PREFIX

    public static final String OMIT_PREFIX

See Also:
  Constant Field Values

### Constructor Detail

#### HealthCheckFilter

    public HealthCheckFilter​(org.osgi.framework.BundleContext bc)

Create a new filter object

Parameters:
  `bc` - bundle context

### Method Detail

#### getHealthCheckServiceReferences

    public org.osgi.framework.ServiceReference<org.apache.felix.hc.api.HealthCheck>[] getHealthCheckServiceReferences​(org.apache.felix.hc.api.execution.HealthCheckSelector selector)

#### getHealthCheckServiceReferences

    public org.osgi.framework.ServiceReference<org.apache.felix.hc.api.HealthCheck>[] getHealthCheckServiceReferences​(org.apache.felix.hc.api.execution.HealthCheckSelector selector,
                                                                                                                      boolean combineTagsWithOr)